> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend notifications

> When an order is placed, the first notification is automatically sent to shopper. If the first notification isn't delivered for reasons such as incorrect email or server issues, this endpoint resends notification for specific events.



## OpenAPI

````yaml notifications.openapi post /oms-notifications/actions/resend
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: Orders team
  description: >-
    fabric **Notifications** API enables you (Storefronts) to resend
    notifications to customers for specific order-related events, such as
    confirmation, status updates, cancellations, and more. it's also used to get
    notification acknowledgements from external services.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Notifications API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Notifications** API enables you (Storefronts) to resend
      notifications to customers for specific order-related events, such as
      confirmation, status updates, cancellations, and more. it's also used to
      get notification acknowledgements from external services.
    name: Notifications
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /oms-notifications/actions/resend:
    post:
      tags:
        - Notifications
      summary: Resend notifications
      description: >-
        When an order is placed, the first notification is automatically sent to
        shopper. If the first notification isn't delivered for reasons such as
        incorrect email or server issues, this endpoint resends notification for
        specific events.
      operationId: resendNotification
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/resendNotificationRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notificationResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            application/json:
              example:
                message: No resource found for the given ID
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    resendNotificationRequest:
      description: Resend notification request
      properties:
        documentId:
          description: >-
            Unique ID based on `documentType`. When `documentType` is `ORDER`,
            this is the order ID.
          example: 62e17f90842dbc2f43abd072
          type: string
        documentType:
          description: Module name
          enum:
            - ALLOCATION
            - ORDER
            - LOCATION
            - SHIPMENT
            - INVENTORY
            - INVOICE
            - TRANSFER
            - LOCATION_OUTAGE
            - TRANSFER_SHIPMENT
            - LOCATION_CAPACITY_OVERRIDE
          example: ORDER
          type: string
        notificationType:
          description: Notification type
          enum:
            - SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL
            - MULTI_ITEM_ORDER_CONFIRMATION_EMAIL
            - BOPIS_ORDER_CONFIRMATION_EMAIL
            - SHIPPING_CONFIRMATION_EMAIL
            - BOPIS_ORDER_READY_FOR_PICKUP
            - BOPIS_ORDER_COMPLETED
            - BOPIS_REMINDER_EMAIL
            - BACKORDER_NOTIFICATION_EMAIL
            - BACKORDER_30_DAYS_CONSENT_TO_DELAY_EMAIL
            - BACKORDER_53_DAYS_CONSENT_TO_DELAY_EMAIL
            - BACKORDER_CANCEL_EMAIL
            - BACKORDER_AUTH_DECLINE_EMAIL
            - ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_ITEM_CANCEL
            - ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_CANCEL
            - ORDER_CANCELLATION_EMAIL_LOCATE_ORDER_ITEM_CANCEL
            - RETURN_NOTIFICATION_EMAIL
            - REFUND_NOTIFICATION_EMAIL
            - APPEASEMENT_NOTIFICATION_EMAIL
            - EXCHANGE_NOTIFICATION_EMAIL
            - SHIPMENT_CREATED
            - ORDER_CREATED
            - INVOICE_POSTED
            - HIGH_ALERT_NOTIFICATION_EMAIL
            - MEDIUM_ALERT_NOTIFICATION_EMAIL
            - LOW_ALERT_NOTIFICATION_EMAIL
            - PAYMENT_AUTH_DECLINED_EMAIL
          example: SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL
          type: string
        overrideContactInfo:
          description: Details to override existing contact info
          items:
            $ref: '#/components/schemas/invoiceContact'
          type: array
      required:
        - documentId
        - documentType
        - notificationType
      type: object
    notificationResponse:
      description: Notification details
      properties:
        documentId:
          description: >-
            Unique ID based on `documentType`. When `documentType` is `ORDER`,
            this is the order ID.
          example: 6319c04f2ec591b653f328dd
          type: string
        documentType:
          $ref: '#/components/schemas/documentType'
        notificationIds:
          description: Notification IDs
          items:
            description: Notification ID
            example: 6sfd76678ec591b653f328dd
            type: string
          type: array
        notificationType:
          $ref: '#/components/schemas/notificationType'
        overrideContactInfo:
          description: New details of contact person
          items:
            $ref: '#/components/schemas/invoiceContact'
          type: array
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    invoiceContact:
      description: Contact person's details
      properties:
        email:
          description: Contact person's email
          example: test@example.com
          type: string
        name:
          $ref: '#/components/schemas/orderContactName'
        phone:
          $ref: '#/components/schemas/orderContactPhone'
      type: object
    documentType:
      description: Module name
      enum:
        - ALLOCATION
        - ORDER
        - LOCATION
        - SHIPMENT
        - INVENTORY
        - INVOICE
        - TRANSFER
        - LOCATION_OUTAGE
        - TRANSFER_SHIPMENT
        - LOCATION_CAPACITY_OVERRIDE
      example: ORDER
      type: string
    notificationType:
      description: Notification type
      enum:
        - SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL
        - MULTI_ITEM_ORDER_CONFIRMATION_EMAIL
        - BOPIS_ORDER_CONFIRMATION_EMAIL
        - SHIPPING_CONFIRMATION_EMAIL
        - BOPIS_ORDER_READY_FOR_PICKUP
        - BOPIS_ORDER_COMPLETED
        - BOPIS_REMINDER_EMAIL
        - BACKORDER_NOTIFICATION_EMAIL
        - BACKORDER_30_DAYS_CONSENT_TO_DELAY_EMAIL
        - BACKORDER_53_DAYS_CONSENT_TO_DELAY_EMAIL
        - BACKORDER_CANCEL_EMAIL
        - BACKORDER_AUTH_DECLINE_EMAIL
        - ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_ITEM_CANCEL
        - ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_CANCEL
        - ORDER_CANCELLATION_EMAIL_LOCATE_ORDER_ITEM_CANCEL
        - RETURN_NOTIFICATION_EMAIL
        - REFUND_NOTIFICATION_EMAIL
        - APPEASEMENT_NOTIFICATION_EMAIL
        - EXCHANGE_NOTIFICATION_EMAIL
        - SHIPMENT_CREATED
        - ORDER_CREATED
        - INVOICE_POSTED
        - HIGH_ALERT_NOTIFICATION_EMAIL
        - MEDIUM_ALERT_NOTIFICATION_EMAIL
        - LOW_ALERT_NOTIFICATION_EMAIL
        - PAYMENT_AUTH_DECLINED_EMAIL
      example: SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL
      type: string
    orderContactName:
      description: Contact person's name
      properties:
        firstName:
          description: Contact person's first name
          example: Alex
          type: string
        lastName:
          description: Contact person's last name
          example: Doe
          type: string
        middleName:
          description: Contact person's middle name or initial
          example: E
          type: string
      type: object
    orderContactPhone:
      description: Contact person's phone details
      properties:
        number:
          description: Contact person's phone number
          example: 123-456-7890
          type: string
        type:
          description: Contact number type
          enum:
            - MOBILE
            - HOME
            - BUSINESS
          example: MOBILE
          type: string
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````